/***** FUNCTION PROTOTYPES ******************************/
#include <stdio.h>

void Box(const HWND, const char*, const char*);
void PrintPCMData(WAVEFORMATEX *, unsigned long);

/*************************************************************************
*
* FUNCTION: Box()
*
*************************************************************************/
void Box(const HWND hwnd, const char* String1, const char* String2)
{
  MessageBox(hwnd, String2, String1, MB_ICONEXCLAMATION | MB_OK);
  return;
}


/*************************************************************************
*
* FUNCTION: PrintPCMData()
*
*************************************************************************/
void PrintPCMData(WAVEFORMATEX *WaveFormatEx, unsigned long BufferSize)
{
  char Buffer[200];

  sprintf(Buffer,
          "Format Tag = %d\n"
          "Channels = %d\n"
          "SampPerSec = %ld\n"
          "Block Align = %ld\n"
          "Bits Per Sample = %d\n"
          "Avg. Bytes Per Sec. = %d\n"
          "Buffer Size = %lu",
          WaveFormatEx->wFormatTag, WaveFormatEx->nChannels,
          WaveFormatEx->nSamplesPerSec, WaveFormatEx->nBlockAlign,
          WaveFormatEx->wBitsPerSample, WaveFormatEx->nAvgBytesPerSec,
          BufferSize);

  Box(NULL, "PCM WAVE DATA", Buffer);
  return;
}